Skip to main content
POST
/
customers
Create customer
curl --request POST \
  --url https://api.gnosisramp.io/v1/customers \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "user_12345",
  "subject_token": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...",
  "metadata": {}
}
'
{
  "id": "user_12345",
  "createdAt": "2024-01-01T00:00:00.000Z",
  "updatedAt": "2024-01-01T00:00:00.000Z",
  "organizationId": "org_123456",
  "projectId": "proj_123456",
  "metadata": {},
  "accessToken": "<string>"
}

Authorizations

Authorization
string
header
required

HTTP Basic authentication using project clientId and clientSecret

Body

application/json

Request body for customer creation

id
string
required

Unique customer identifier within your system

Example:

"user_12345"

subject_token
string

Optional OIDC ID token for identity provider linking

Example:

"eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9..."

metadata
object

Optional metadata to associate with the customer

Response

Customer created or retrieved successfully

Customer entity

id
string
required

Unique customer identifier (same as the id provided in the request)

Example:

"user_12345"

createdAt
string<date-time>
required

Customer creation timestamp

Example:

"2024-01-01T00:00:00.000Z"

updatedAt
string<date-time>
required

Customer last update timestamp

Example:

"2024-01-01T00:00:00.000Z"

organizationId
string
required

Organization identifier

Example:

"org_123456"

projectId
string
required

Project identifier

Example:

"proj_123456"

metadata
object

Additional customer metadata

accessToken
string | null

GnosisRamp JWT token for authenticated customer requests